Redmine - Feature #15919

Set default category assignee immediately upon category selection
2014-01-21 13:07 - Miodrag Milic

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Issues Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

Currently, the one can see default assignee only after the issue is created. This confuses people and it should be good to set it ASAP
using AJAX call.

Related issues:

Related to Redmine - Feature #26680: Show default assignee when creating new ... New
Related to Redmine - Defect #28951: Cannot clear category field on copying an... Closed
Related to Redmine - Defect #29695: Duplicated assignee option when selecting... New

Associated revisions

Revision 17320 - 2018-04-30 08:09 - Go MAEDA

Set default category assignee immediately upon category selection (#15919).

Patch by Mizuki ISHIKAWA.

Revision 17389 - 2018-06-16 16:50 - Jean-Philippe Lang
Handle default assignee when changing category (#15919).

History

#1 - 2014-01-25 14:18 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#2 - 2017-10-29 05:21 - Go MAEDA

- Related to Feature #26680: Show default assignee when creating new issue added

#3 - 2017-10-31 07:09 - Mizuki ISHIKAWA

- File 0001-Set-default_assigned_to_id-in-category.patch added
- File 0002-Set-default_assigned_to_id-in-project.patch added

| wrote a patch to implement this feature.

Please try to apply this patch: 0001-Set-default_assigned_to_id-in-category.patch

In addition, applying this patch will allow you to set default project assignee in the same way:
0002-Set-default_assigned_to_id-in-project.patch

#4 - 2017-11-29 15:52 - Toshi MARUYAMA

- Target version set to 4.1.0

#5 - 2018-04-30 08:13 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Priority changed from High to Normal

- Target version changed from 4.1.0 to 4.0.0

- Resolution set to Fixed
Committed the patch 0001-Set-default_assigned_to_id-in-category.patch. Thank you for improving Redmine.

| will commit the second patch 0002-Set-default_assigned_to_id-in-project.patch for #26680.

#6 - 2018-04-30 11:50 - Marius BALTEANU

- Status changed from Closed to Reopened

This is a nice feature, indeed, but | think that the current implementation has some issues that we should address/clarify:

1. The default category assignee is not cleared when the category is changed with a category without assignee
- Go to new issue page

- Select a category with assignee

- Observe that the assignee is set correctly

- Change the category with a category without assignee

- Observe that assignee remains the previous one

The expected result from my point of view is to clear the assignee.

2. Manually selected assignee is override by the category assignee.

- Go to new issue page

- Manually select an assignee

- Select a category with assignee

- Observe that the manually selected assignee is replaced by the category assignee

The expected result here (and also the current behaviour until this ticket) is to keep the manually selected assignee.

3. Because there are a lot of scenarios and the code become quite complex, we should cover the cases with system tests.

| can help on fixing this issues and adding some tests, just please let me know.

#7 - 2018-06-16 16:53 - Jean-Philippe Lang

- Status changed from Reopened to Closed

| made a small change that improves the behaviour when changing/removing the category and solves the 2 issues reported by Marius.

#8 - 2018-06-17 07:24 - Go MAEDA
- Related to Defect #28951: Cannot clear category field on copying an Issue added

#9 - 2018-06-22 13:17 - Marius BALTEANU

- File duplicated_assignee.png added

- Status changed from Closed to Reopened

- Assignee changed from Go MAEDA to Jean-Philippe Lang
- Resolution deleted (Fixed)

| found another issue:

1. Go to a project with a default category assignee

2. Go to new issue page

3. Select the category with the default assignee

4. Open the Assignee dropdown

5. Observe that the default category assignee is duplicated in the dropdown.
duplicated_assignee.png

The issue is generated by the line source:trunk/app/views/issues/new.js.erb#L 6

#10 - 2018-09-15 09:25 - Marius BALTEANU

We can deliver this feature as it is and | will try to find a proper implementation for the next minor version of Redmine 4.

#11 - 2018-09-15 11:13 - Jean-Philippe Lang
- Status changed from Reopened to Closed

- Resolution set to Fixed

#12 - 2018-09-30 11:40 - Marius BALTEANU

- Related to Defect #29695: Duplicated assignee option when selecting a category with default assignee added
Files

0001-Set-default_assigned_to_id-in-category.patch 2.1 KB 2017-10-31 Mizuki ISHIKAWA
0002-Set-default_assigned_to_id-in-project.patch 1.06 KB 2017-10-31 Mizuki ISHIKAWA
duplicated_assignee.png 71.8 KB 2018-06-22 Marius BALTEANU
